# 32/64 bit specfile
%define oname smplayer

Summary:	Complete front-end for mplayer written in Qt4
Summary(de):	Der SMPlayer ist ein Front-end für mplayer
Name:		smplayer-qt4
Version:	15.9.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Video
Url:		http://smplayer.sourceforge.net
Source0:	http://smplayer.sourceforge.net/smplayer/%{oname}-%{version}.tar.xz
Patch1:         smplayer-makeflags.patch
Patch2:         smplayer-disable-debug.patch
Patch4:         smplayer-default_ao.patch
Patch8:         smplayer-simple-resize.patch
Patch9:         smplayer-add_kde_protocols_to_desktop_file.patch
BuildRequires:	qt4-devel	>= 4.2.0
BuildRequires:	qt4-linguist	>= 4.2.0
BuildRequires:  hicolor-icon-theme
BuildRequires:  libstdc++-devel
#lets use qtchooser
BuildRequires:	qtchooser
Requires:	mplayer
Requires:	%{_lib}qtnetwork4 >= 4.3.2
Requires:	%{_lib}qtsvg4  >= 4.3.2
Requires:	%{_lib}qtxml4 >= 4.3.2
Requires:	%{_lib}qtgui4 >= 4.3.2
Requires:	%{_lib}qtcore4 >= 4.3.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Conflicts:	smplayer
Provides:	smplayer-dude

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs 
to more advanced features like support for MPlayer filters and more.

THIS VERSION HAS NO DEPENDENCY ON KDE.

#german
%description -l de
Das Open-Source-Werkzeug SMPlayer spielt alle DVDs, Video-Streams 
und Filme ab, ohne ständig nach dem richtigen Audio- oder Video-Codec 
zu fragen. Dafür nutzt der Gratis-Spieler die Engine vom MPlayer. 
Verschiedene Deinterlace- und Rauschfilter sorgen für optimale Ausgabequalität.

Praktischerweise merkt sich das Werkzeug auch die letzten Einstellungen. 
Müssen Sie die Wiedergabe unterbrechen, läuft der Film beim nächsten 
Programmstart an der Stelle weiter, an der Sie aufgehört haben - mit all 
Ihren Einstellungen (Bildformat, Untertitel, Audioausgabe usw.). 


%lang_package
%prep
%setup -qn %{oname}-%{version}
%patch1
%patch2
###%patch4
%patch9
%__perl -n -e 'print $1,"\n" if /^\+{3}\s+(.+?)\s+/' < "%{PATCH4}" | while read f; do
#%if 0%{?suse_version} >= 1210
    %__sed -i 's/@@DEFAULT@@/pulse/g' "$f"
#%else
    %__sed -i 's/@@DEFAULT@@/alsa/g' "$f"
#%endif
done

pushd src
%patch8
popd

# fix CRLF in .txt files:
%__sed -i 's/\r$//' *.txt

find . -type f -name '*.pro' | while read f; do
cat <<EOF >>"$f"

QMAKE_CFLAGS = %{optflags}
QMAKE_CXXFLAGS = %{optflags}

EOF
done



%build
export QT_SELECT=qt4
%__make \
    MAKEFLAGS="%{?_smp_flags}" \
    CONF_PREFIX="" \
    PREFIX="%{_prefix}" \
    DOC_PATH="%{_docdir}/%{oname}" \

%install
%__make \
    MAKEFLAGS="" \
    CONF_PREFIX="%{buildroot}" \
    PREFIX="%{buildroot}%{_prefix}" \
    DOC_PATH="%{buildroot}%{_docdir}/%{oname}" \
    install

# remove wrongly put docs
rm -rf "%{buildroot}%{_docdir}/%{oname}"


desktop-file-install --vendor="" \
        --remove-key="Encoding" \
 	--add-category="X-MandrivaLinux-Multimedia-Video Qt KDE AudioVideo Video Player" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


LANGFILE="$PWD/smplayer.lang"
echo -n > "$LANGFILE"
find "%{buildroot}%{_datadir}/smplayer/translations" -name '*.qm' \
| while read qm; do
    qmfile=${qm##*/}
    l=${qmfile#*_}
    l=${l%%.qm}

    [ "$l" = "en_US" ] && continue    
    echo "%lang(${l}) %{_datadir}/smplayer/translations/${qmfile}" >> "$LANGFILE"
done
%__install -d "%{buildroot}%{_docdir}/%{oname}"
pushd docs
for l in *; do
    %__cp -a "$l" "%{buildroot}%{_docdir}/%{oname}/${l}"

    [ "$l" = "en" ] && continue
    echo "%lang(${l}) %{_docdir}/%{oname}/${l}" >> "$LANGFILE"
done
popd #docs

%__install -m0644 Changelog *.txt "%{buildroot}%{_docdir}/%{oname}"/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%files
%defattr(644,root,root,755)
%doc Changelog *.txt
%dir %{_datadir}/%{oname}
%dir %{_datadir}/%{oname}/shortcuts
%dir %{_datadir}/%{oname}/translations
%attr(755,root,root) %{_bindir}/%{oname}
%{_mandir}/man1/%{oname}.*
%{_datadir}/%{oname}/*.conf
%{_iconsdir}/hicolor/*/apps/%{oname}.png
%{_iconsdir}/hicolor/*/apps/%{oname}.svg
%{_datadir}/applications/*.desktop
%{_datadir}/%{oname}/shortcuts/*
%{_datadir}/%{oname}/translations/*.qm
%{_datadir}/doc

%changelog
* Mon Oct 03 2016 detipco <detipco> smplayer-qt4-15.9.0-2

* Thu Oct 22 2015 bb <bb> 15.9.0-2pclos2015
- rebuild

* Wed Sep 30 2015 bb <bb> 15.9.0-1pclos2015
- update

* Sat Sep 12 2015 bb <bb> 14.9.0.6994-1pclos2015
- update

* Thu Jan 29 2015 pinoc <vogtpet at gmail.com> 14.9.0.6690-1pclos2015
- 14.9.0.6690

* Tue Oct 20 2014 bb <bb> 14.9.0-1pclos2014
- update

* Fri Apr 18 2014 bb <bb> 14.3-1pclos2014
- build qt4 only version
